---
 modules/disk-label.c |   13 +++++++++++++
 1 file changed, 13 insertions(+)

Index: openbios-devel/modules/disk-label.c
===================================================================
--- openbios-devel.orig/modules/disk-label.c	2009-02-04 12:51:53.000000000 +0100
+++ openbios-devel/modules/disk-label.c	2009-02-04 12:56:51.000000000 +0100
@@ -78,6 +78,19 @@
 		}
 	}
 
+        /* try to see if there is a filesystem without partition */
+
+	PUSH_ih( my_self() );
+	selfword("find-filesystem");
+	ph = POP_ph();
+	if( ph ) {
+		push_str( filename );
+		PUSH_ph( ph );
+		fword("interpose");
+	        success = 1;
+                goto out;
+	}
+
 	/* find partition handler */
 	seek_io( fd, 0 );
 	if( read_io(fd, block0, sizeof(block0)) != sizeof(block0) )
